## libqmatrixclient 0.4.2.1.1+rb2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)

project(qmatrixclient CXX)

include(CheckCXXCompilerFlag)
if (NOT WIN32)
    include(GNUInstallDirs)
endif(NOT WIN32)

# Instruct CMake to run moc automatically when needed.
set(CMAKE_AUTOMOC ON)

# Set a default build type if none was specified
if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
  message(STATUS "Setting build type to 'Debug' as none was specified")
  set(CMAKE_BUILD_TYPE Debug CACHE STRING "Choose the type of build" FORCE)
  # Set the possible values of build type for cmake-gui
  set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS "Debug" "Release"
    "MinSizeRel" "RelWithDebInfo")
endif()

if (NOT CMAKE_INSTALL_LIBDIR)
    set(CMAKE_INSTALL_LIBDIR ".")
endif()

if (NOT CMAKE_INSTALL_BINDIR)
    set(CMAKE_INSTALL_BINDIR ".")
endif()

if (NOT CMAKE_INSTALL_INCLUDEDIR)
    set(CMAKE_INSTALL_INCLUDEDIR "include")
endif()

set(CMAKE_CXX_STANDARD 14)

foreach (FLAG all "" pedantic extra error=return-type no-unused-parameter no-gnu-zero-variadic-macro-arguments)
    CHECK_CXX_COMPILER_FLAG("-W${FLAG}" WARN_${FLAG}_SUPPORTED)
    if ( WARN_${FLAG}_SUPPORTED AND NOT CMAKE_CXX_FLAGS MATCHES "(^| )-W?${FLAG}($| )")
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -W${FLAG}")
    endif ()
endforeach ()

find_package(Qt5 5.4.1 REQUIRED Network Gui)
get_filename_component(Qt5_Prefix "${Qt5_DIR}/../../../.." ABSOLUTE)

if (GTAD_PATH)
    get_filename_component(ABS_GTAD_PATH "${GTAD_PATH}" ABSOLUTE)
endif ()
if (MATRIX_DOC_PATH)
    get_filename_component(ABS_API_DEF_PATH "${MATRIX_DOC_PATH}/api" ABSOLUTE)
endif ()

message( STATUS )
message( STATUS "=============================================================================" )
message( STATUS "                       libqmatrixclient Build Information" )
message( STATUS "=============================================================================" )
if (CMAKE_BUILD_TYPE)
    message( STATUS "Build type: ${CMAKE_BUILD_TYPE}")
endif(CMAKE_BUILD_TYPE)
message( STATUS "Using compiler: ${CMAKE_CXX_COMPILER_ID} ${CMAKE_CXX_COMPILER_VERSION}" )
message( STATUS "Using Qt ${Qt5_VERSION} at ${Qt5_Prefix}" )
if (MATRIX_DOC_PATH AND GTAD_PATH)
    message( STATUS "Generating API stubs enabled" )
    message( STATUS "  Using GTAD at ${ABS_GTAD_PATH}" )
    message( STATUS "  Using API files at ${ABS_API_DEF_PATH}" )
endif ()
message( STATUS "=============================================================================" )
message( STATUS )

# Set up source files
set(libqmatrixclient_SRCS
    lib/networkaccessmanager.cpp
    lib/connectiondata.cpp
    lib/connection.cpp
    lib/logging.cpp
    lib/room.cpp
    lib/user.cpp
    lib/avatar.cpp
    lib/settings.cpp
    lib/networksettings.cpp
    lib/converters.cpp
    lib/util.cpp
    lib/eventitem.cpp
    lib/events/event.cpp
    lib/events/roomevent.cpp
    lib/events/stateevent.cpp
    lib/events/eventcontent.cpp
    lib/events/roommessageevent.cpp
    lib/events/roommemberevent.cpp
    lib/events/typingevent.cpp
    lib/events/receiptevent.cpp
    lib/events/callanswerevent.cpp
    lib/events/callcandidatesevent.cpp
    lib/events/callhangupevent.cpp
    lib/events/callinviteevent.cpp
    lib/events/directchatevent.cpp
    lib/jobs/requestdata.cpp
    lib/jobs/basejob.cpp
    lib/jobs/syncjob.cpp
    lib/jobs/mediathumbnailjob.cpp
    lib/jobs/downloadfilejob.cpp
)

set(CSAPI_DIR csapi)
set(FULL_CSAPI_DIR lib/${CSAPI_DIR})
set(FULL_CSAPI_SRC_DIR ${ABS_API_DEF_PATH}/client-server)
set(ASAPI_DEF_DIR application-service/definitions)
set(ISAPI_DEF_DIR identity/definitions)
if (MATRIX_DOC_PATH AND GTAD_PATH)
    file(GLOB_RECURSE API_DEFS RELATIVE ${PROJECT_SOURCE_DIR}
        ${FULL_CSAPI_SRC_DIR}/*.yaml
        ${ABS_API_DEF_PATH}/${ASAPI_DEF_DIR}/*.yaml
        ${ABS_API_DEF_PATH}/${ISAPI_DEF_DIR}/*.yaml
    )
    add_custom_target(update-api
        ${ABS_GTAD_PATH} --config ${CSAPI_DIR}/gtad.yaml --out ${CSAPI_DIR}
            ${FULL_CSAPI_SRC_DIR}
            cas_login_redirect.yaml- cas_login_ticket.yaml-
            old_sync.yaml- room_initial_sync.yaml- # deprecated
            sync.yaml- # we have a better handcrafted implementation
        WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}/lib
        SOURCES ${FULL_CSAPI_DIR}/gtad.yaml
                ${FULL_CSAPI_DIR}/{{base}}.h.mustache
                ${FULL_CSAPI_DIR}/{{base}}.cpp.mustache
                ${API_DEFS}
        VERBATIM
    )
endif()

aux_source_directory(${FULL_CSAPI_DIR} libqmatrixclient_job_SRCS)
aux_source_directory(${FULL_CSAPI_DIR}/definitions libqmatrixclient_csdef_SRCS)
aux_source_directory(${FULL_CSAPI_DIR}/definitions/wellknown libqmatrixclient_cswellknown_SRCS)
aux_source_directory(lib/${ASAPI_DEF_DIR} libqmatrixclient_asdef_SRCS)
aux_source_directory(lib/${ISAPI_DEF_DIR} libqmatrixclient_isdef_SRCS)

set(example_SRCS examples/qmc-example.cpp)

add_library(QMatrixClient ${libqmatrixclient_SRCS}
            ${libqmatrixclient_job_SRCS} ${libqmatrixclient_csdef_SRCS}
            ${libqmatrixclient_cswellknown_SRCS}
            ${libqmatrixclient_asdef_SRCS} ${libqmatrixclient_isdef_SRCS})
set(API_VERSION "0.4")
set_property(TARGET QMatrixClient PROPERTY VERSION "${API_VERSION}.2.1")
set_property(TARGET QMatrixClient PROPERTY SOVERSION ${API_VERSION} )
set_property(TARGET QMatrixClient PROPERTY
             INTERFACE_QMatrixClient_MAJOR_VERSION ${API_VERSION})
set_property(TARGET QMatrixClient APPEND PROPERTY
             COMPATIBLE_INTERFACE_STRING QMatrixClient_MAJOR_VERSION)

target_include_directories(QMatrixClient PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/lib>
    $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
)
target_link_libraries(QMatrixClient Qt5::Core Qt5::Network Qt5::Gui)

add_executable(qmc-example ${example_SRCS})
target_link_libraries(qmc-example Qt5::Core QMatrixClient)
configure_file(QMatrixClient.pc.in ${CMAKE_CURRENT_BINARY_DIR}/QMatrixClient.pc @ONLY NEWLINE_STYLE UNIX)

# Installation

install(TARGETS QMatrixClient EXPORT QMatrixClientTargets
        ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
        LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
        INCLUDES DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
)
install(DIRECTORY lib/ DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
        FILES_MATCHING PATTERN "*.h")

include(CMakePackageConfigHelpers)
write_basic_package_version_file(
    "${CMAKE_CURRENT_BINARY_DIR}/QMatrixClient/QMatrixClientConfigVersion.cmake"
    VERSION ${API_VERSION}
    COMPATIBILITY AnyNewerVersion
)

export(PACKAGE QMatrixClient)
export(EXPORT QMatrixClientTargets
    FILE "${CMAKE_CURRENT_BINARY_DIR}/QMatrixClient/QMatrixClientTargets.cmake")
configure_file(cmake/QMatrixClientConfig.cmake
    "${CMAKE_CURRENT_BINARY_DIR}/QMatrixClient/QMatrixClientConfig.cmake"
    COPYONLY
)

set(ConfigFilesLocation "${CMAKE_INSTALL_LIBDIR}/cmake/QMatrixClient")
install(EXPORT QMatrixClientTargets
        FILE QMatrixClientTargets.cmake DESTINATION ${ConfigFilesLocation})

install(FILES cmake/QMatrixClientConfig.cmake
    "${CMAKE_CURRENT_BINARY_DIR}/QMatrixClient/QMatrixClientConfigVersion.cmake"
    DESTINATION ${ConfigFilesLocation}
)
# Only available from CMake 3.7; reserved for future use
#install(EXPORT_ANDROID_MK QMatrixClientTargets DESTINATION share/ndk-modules)

if (WIN32)
    install(FILES mime/packages/freedesktop.org.xml DESTINATION mime/packages)
endif (WIN32)

install(TARGETS qmc-example RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

if (UNIX AND NOT APPLE)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/QMatrixClient.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
endif()

=== examples/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)

# This CMakeLists file assumes that the library is installed to CMAKE_INSTALL_PREFIX
# and ignores the in-tree library code. You can use this to start work on your own client.

project(qmc-example CXX)

include(CheckCXXCompilerFlag)
if (NOT WIN32)
    include(GNUInstallDirs)
endif(NOT WIN32)

# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)
# Instruct CMake to run moc automatically when needed.
set(CMAKE_AUTOMOC ON)

# Set a default build type if none was specified
if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
  message(STATUS "Setting build type to 'Debug' as none was specified")
  set(CMAKE_BUILD_TYPE Debug CACHE STRING "Choose the type of build" FORCE)
  # Set the possible values of build type for cmake-gui
  set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS "Debug" "Release"
    "MinSizeRel" "RelWithDebInfo")
endif()

if (NOT CMAKE_INSTALL_LIBDIR)
    set(CMAKE_INSTALL_LIBDIR ".")
endif()

if (NOT CMAKE_INSTALL_BINDIR)
    set(CMAKE_INSTALL_BINDIR ".")
endif()

if (NOT CMAKE_INSTALL_INCLUDEDIR)
    set(CMAKE_INSTALL_INCLUDEDIR "include")
endif()

set(CMAKE_CXX_STANDARD 14)

foreach (FLAG all "" pedantic extra error=return-type no-unused-parameter no-gnu-zero-variadic-macro-arguments)
    CHECK_CXX_COMPILER_FLAG("-W${FLAG}" WARN_${FLAG}_SUPPORTED)
    if ( WARN_${FLAG}_SUPPORTED AND NOT CMAKE_CXX_FLAGS MATCHES "(^| )-W?${FLAG}($| )")
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -W${FLAG}")
    endif ()
endforeach ()

find_package(Qt5 5.6 REQUIRED Network Gui)
get_filename_component(Qt5_Prefix "${Qt5_DIR}/../../../.." ABSOLUTE)

find_package(QMatrixClient REQUIRED)
get_filename_component(QMC_Prefix "${QMatrixClient_DIR}/../.." ABSOLUTE)

message( STATUS "qmc-example configuration:" )
if (CMAKE_BUILD_TYPE)
    message( STATUS "  Build type: ${CMAKE_BUILD_TYPE}")
endif(CMAKE_BUILD_TYPE)
message( STATUS "  Compiler: ${CMAKE_CXX_COMPILER_ID} ${CMAKE_CXX_COMPILER_VERSION}" )
message( STATUS "  Qt: ${Qt5_VERSION} at ${Qt5_Prefix}" )
message( STATUS "  QMatrixClient: ${QMatrixClient_VERSION} at ${QMC_Prefix}" )

set(example_SRCS qmc-example.cpp)

add_executable(qmc-example ${example_SRCS})
target_link_libraries(qmc-example Qt5::Core QMatrixClient)

# Installation

install (TARGETS qmc-example RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

## libqmatrixclient 0.4.2.1

=== debian/changelog ===
libqmatrixclient (0.4.2.1-1) unstable; urgency=medium

  * New upstream release.

 -- Hubert Chathi <uhoreg@debian.org>  Mon, 14 Jan 2019 11:21:36 -0500

libqmatrixclient (0.4.1-1) unstable; urgency=medium

  * Initial release of splitting the library out from quaternion.

 -- Hubert Chathi <uhoreg@debian.org>  Mon, 24 Dec 2018 15:11:03 -0500

=== debian/control ===
Source: libqmatrixclient
Priority: optional
Maintainer: Hubert Chathi <uhoreg@debian.org>
Build-Depends: debhelper (>= 9), cmake, qtbase5-dev
Standards-Version: 3.9.8
Section: libs
Homepage: https://github.com/QMatrixClient/libqmatrixclient
Vcs-Git: https://salsa.debian.org/matrix-team/libqmatrixclient.git
Vcs-Browser: https://salsa.debian.org/matrix-team/libqmatrixclient

Package: libqmatrixclient-dev
Section: libdevel
Architecture: any
Depends: libqmatrixclient0.4 (= ${binary:Version}), ${misc:Depends}
Description: Qt5 library to write cross-platform clients for Matrix
 libQMatrixClient is a Qt5-based library to make IM clients for the Matrix
 protocol. It is the backbone of Quaternion, Spectral and some other projects.

Package: libqmatrixclient0.4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qt5 library to write cross-platform clients for Matrix
 libQMatrixClient is a Qt5-based library to make IM clients for the Matrix
 protocol. It is the backbone of Quaternion, Spectral and some other projects.

## libqmatrixclient 0.4.2.1.1+rb2

=== debian/changelog ===
libqmatrixclient (0.4.2.1.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Hubert Chathi <uhoreg@debian.org>  Thu, 28 Jan 2021 19:04:00 +0800

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 4 file
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
   https://github.com/QMatrixClient/libqmatrixclient/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## libqmatrixclient 0.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,9 @@
 cmake_minimum_required(VERSION 3.1)
 
-project(qmatrixclient CXX)
+set(API_VERSION "0.5.1") # Normally it should just include major.minor
+project(qmatrixclient VERSION "0.5.2" LANGUAGES CXX)
+
+option(QMATRIXCLIENT_INSTALL_EXAMPLE "install qmc-example application" ON)
 
 include(CheckCXXCompilerFlag)
 if (NOT WIN32)
@@ -40,7 +43,9 @@
     endif ()
 endforeach ()
 
-find_package(Qt5 5.4.1 REQUIRED Network Gui)
+# Qt 5.6+ is the formal requirement but for the sake of supporting UBPorts
+# upstream Qt 5.4 is required.
+find_package(Qt5 5.4.1 REQUIRED Network Gui Multimedia)
 get_filename_component(Qt5_Prefix "${Qt5_DIR}/../../../.." ABSOLUTE)
 
 if (GTAD_PATH)
@@ -54,6 +59,7 @@
 message( STATUS "=============================================================================" )
 message( STATUS "                       libqmatrixclient Build Information" )
 message( STATUS "=============================================================================" )
+message( STATUS "Version: ${PROJECT_VERSION}, API version: ${API_VERSION}")
 if (CMAKE_BUILD_TYPE)
     message( STATUS "Build type: ${CMAKE_BUILD_TYPE}")
 endif(CMAKE_BUILD_TYPE)
@@ -76,6 +82,7 @@
     lib/room.cpp
     lib/user.cpp
     lib/avatar.cpp
+    lib/syncdata.cpp
     lib/settings.cpp
     lib/networksettings.cpp
     lib/converters.cpp
@@ -85,6 +92,8 @@
     lib/events/roomevent.cpp
     lib/events/stateevent.cpp
     lib/events/eventcontent.cpp
+    lib/events/roomcreateevent.cpp
+    lib/events/roomtombstoneevent.cpp
     lib/events/roommessageevent.cpp
     lib/events/roommemberevent.cpp
     lib/events/typingevent.cpp
@@ -115,7 +124,6 @@
     add_custom_target(update-api
         ${ABS_GTAD_PATH} --config ${CSAPI_DIR}/gtad.yaml --out ${CSAPI_DIR}
             ${FULL_CSAPI_SRC_DIR}
-            cas_login_redirect.yaml- cas_login_ticket.yaml-
             old_sync.yaml- room_initial_sync.yaml- # deprecated
             sync.yaml- # we have a better handcrafted implementation
         WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}/lib
@@ -139,8 +147,7 @@
             ${libqmatrixclient_job_SRCS} ${libqmatrixclient_csdef_SRCS}
             ${libqmatrixclient_cswellknown_SRCS}
             ${libqmatrixclient_asdef_SRCS} ${libqmatrixclient_isdef_SRCS})
-set(API_VERSION "0.4")
-set_property(TARGET QMatrixClient PROPERTY VERSION "${API_VERSION}.2.1")
+set_property(TARGET QMatrixClient PROPERTY VERSION "${PROJECT_VERSION}")
 set_property(TARGET QMatrixClient PROPERTY SOVERSION ${API_VERSION} )
 set_property(TARGET QMatrixClient PROPERTY
              INTERFACE_QMatrixClient_MAJOR_VERSION ${API_VERSION})
@@ -151,7 +158,7 @@
     $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/lib>
     $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
 )
-target_link_libraries(QMatrixClient Qt5::Core Qt5::Network Qt5::Gui)
+target_link_libraries(QMatrixClient Qt5::Core Qt5::Network Qt5::Gui Qt5::Multimedia)
 
 add_executable(qmc-example ${example_SRCS})
 target_link_libraries(qmc-example Qt5::Core QMatrixClient)
@@ -168,10 +175,11 @@
         FILES_MATCHING PATTERN "*.h")
 
 include(CMakePackageConfigHelpers)
+# NB: SameMajorVersion doesn't really work yet, as we're within 0.x trail.
+# Maybe consider jumping the gun and releasing 1.0, as semver advises?
 write_basic_package_version_file(
     "${CMAKE_CURRENT_BINARY_DIR}/QMatrixClient/QMatrixClientConfigVersion.cmake"
-    VERSION ${API_VERSION}
-    COMPATIBILITY AnyNewerVersion
+    COMPATIBILITY SameMajorVersion
 )
 
 export(PACKAGE QMatrixClient)
@@ -197,7 +205,9 @@
     install(FILES mime/packages/freedesktop.org.xml DESTINATION mime/packages)
 endif (WIN32)
 
-install(TARGETS qmc-example RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
+if (QMATRIXCLIENT_INSTALL_EXAMPLE)
+    install(TARGETS qmc-example RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
+endif (QMATRIXCLIENT_INSTALL_EXAMPLE)
 
 if (UNIX AND NOT APPLE)
     install(FILES ${CMAKE_CURRENT_BINARY_DIR}/QMatrixClient.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

=== examples/CMakeLists.txt ===
--- 
+++ 
@@ -45,7 +45,7 @@
     endif ()
 endforeach ()
 
-find_package(Qt5 5.6 REQUIRED Network Gui)
+find_package(Qt5 5.6 REQUIRED Network Gui Multimedia)
 get_filename_component(Qt5_Prefix "${Qt5_DIR}/../../../.." ABSOLUTE)
 
 find_package(QMatrixClient REQUIRED)

=== debian/changelog ===
libqmatrixclient (0.5.2-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:18:23 +0100

libqmatrixclient (0.5.2-1) unstable; urgency=medium

  * New upstream release.

 -- Hubert Chathi <uhoreg@debian.org>  Tue, 25 Jun 2019 16:35:11 -0400

=== debian/control ===
Source: libqmatrixclient
Priority: optional
Maintainer: Hubert Chathi <uhoreg@debian.org>
Build-Depends: debhelper (>= 10), cmake, qtbase5-dev, qtmultimedia5-dev
Standards-Version: 4.3.0
Section: libs
Homepage: https://github.com/quotient-im/libQuotient
Vcs-Git: https://salsa.debian.org/matrix-team/libqmatrixclient.git
Vcs-Browser: https://salsa.debian.org/matrix-team/libqmatrixclient

Package: libqmatrixclient-dev
Section: libdevel
Architecture: any
Depends: libqmatrixclient0.5.1 (= ${binary:Version}), ${misc:Depends}
Description: Qt5 library to write cross-platform clients for Matrix
 libQMatrixClient is a Qt5-based library to make IM clients for the Matrix
 protocol. It is the backbone of Quaternion, Spectral and some other projects.

Package: libqmatrixclient0.5.1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qt5 library to write cross-platform clients for Matrix
 libQMatrixClient is a Qt5-based library to make IM clients for the Matrix
 protocol. It is the backbone of Quaternion, Spectral and some other projects.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@


override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_INSTALL_INCLUDEDIR=include/libqmatrixclient -DBUILD_SHARED_LIBS=1

## libqmatrixclient 0.5.3.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.1)
 
-set(API_VERSION "0.5.1") # Normally it should just include major.minor
-project(qmatrixclient VERSION "0.5.2" LANGUAGES CXX)
+set(API_VERSION "0.5.3") # Normally it should just include major.minor
+project(qmatrixclient VERSION "0.5.3.2" LANGUAGES CXX)
 
 option(QMATRIXCLIENT_INSTALL_EXAMPLE "install qmc-example application" ON)
 
@@ -78,6 +78,7 @@
     lib/networkaccessmanager.cpp
     lib/connectiondata.cpp
     lib/connection.cpp
+    lib/ssosession.cpp
     lib/logging.cpp
     lib/room.cpp
     lib/user.cpp
@@ -98,6 +99,7 @@
     lib/events/roommemberevent.cpp
     lib/events/typingevent.cpp
     lib/events/receiptevent.cpp
+    lib/events/reactionevent.cpp
     lib/events/callanswerevent.cpp
     lib/events/callcandidatesevent.cpp
     lib/events/callhangupevent.cpp

=== debian/changelog ===
libqmatrixclient (0.5.3.2-1) unstable; urgency=medium

  * New upstream release.
  * Set packaging team as maintainer.

 -- Hubert Chathi <uhoreg@debian.org>  Fri, 17 Apr 2020 16:32:17 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libqmatrixclient
 Priority: optional
-Maintainer: Hubert Chathi <uhoreg@debian.org>
-Build-Depends: debhelper (>= 10), cmake, qtbase5-dev, qtmultimedia5-dev
+Maintainer: Matrix Packaging Team <pkg-matrix-maintainers@lists.alioth.debian.org>
+Uploaders: Hubert Chathi <uhoreg@debian.org>
+Build-Depends: debhelper-compat (= 12), cmake, qtbase5-dev, qtmultimedia5-dev
 Standards-Version: 4.3.0
 Section: libs
 Homepage: https://github.com/quotient-im/libQuotient

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@


override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_INSTALL_INCLUDEDIR=include/libqmatrixclient -DBUILD_SHARED_LIBS=1

override_dh_auto_install:
	dh_auto_install
# unused example file -- remove to avoid warning from dh_missing
	rm debian/tmp/usr/bin/qmc-example
# libQMatrixClient 0.5.3 doesn't change the ABI from libQMatrixClient0.5.1
	ln -s libQMatrixClient.so.0.5.3.2 debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQMatrixClient.so.0.5.1
